Page MenuHomePhabricator

RFC: Master/slave datacenter strategy for MediaWiki
Closed, ResolvedPublic

Description

Document the basic of active/hot and maybe hot/hot too in an RfC
https://www.mediawiki.org/wiki/Requests_for_comment/Master/slave_datacenter_strategy_for_MediaWiki

Tracking ticket: T88445

Event Timeline

aaron created this task.Feb 5 2015, 10:27 AM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Normal.
aaron claimed this task.
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.

Note that there is a MediaWiki-RfCs project and a documentation one. (If that makes sense, don't know, description of this task is short and a bit cryptic. :)

bd808 removed a project: Epic.Feb 19 2015, 5:53 AM
RobLa-WMF renamed this task from Multi-DC documentation RFC to RFC: Master/slave datacenter strategy for MediaWiki.Mar 7 2015, 1:05 AM
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF set Security to None.
RobLa-WMF moved this task from Inbox to Under discussion on the TechCom-RFC board.
RobLa-WMF added a subscriber: RobLa-WMF.
mark added a subscriber: mark.Mar 11 2015, 7:58 PM
daniel added a subscriber: daniel.Mar 18 2015, 8:25 PM

Related patch set, implementing a cache that is replicated across data centers: https://gerrit.wikimedia.org/r/#/c/187074/

daniel updated the task description. (Show Details)Mar 18 2015, 9:08 PM

RFC meeting was held 2015-03-18 (Meetbot log) , conclusion is:

AGREED: yes we want this, AaronSchulz please continue with designing and prototyping (TimStarling, 21:58:22)

@aaron, can you update the RFC with

ACTION: AaronSchulz to expand "Code that uses caches must be aware of whether it needs to do explicit purges (use the WAN cache) or can use the local cache" to explain how developers know which to use

and other concerns from the discussion, e.g. purging of elasticsearch and Swift (out of scope?), duration of datacenter cookie, "tombstone"? etc.

Then it feels like one more IRC discussion should get the gold stamp of approval :)

aaron added a comment.Mar 25 2015, 1:32 AM

The page was updated a bit. The swift/elastic stuff isn't really the scope of the RfC. Of course, I am interesting in getting swift replicated at "live speed" through some means or another. Media doesn't have to be included in the first phase though, and it's mostly a swift-specific discussion. The same goes for elastic.

@aaron thanks. If you think you're done then move this to "under discussion" (per Architecture committee process rule 432-T35 :) ).

Gilles added a subscriber: Gilles.Apr 2 2015, 12:25 PM
daniel moved this task from Backlog to Under discussion on the TechCom-RFC board.Aug 19 2015, 8:13 PM
daniel added a subscriber: ori.Aug 26 2015, 8:18 PM

We'll schedule this for discussion on IRC on September 2. @ori, @aaron, is that OK with you?

IRC meeting scheduled for 17 hours from now. See the Phab event board (E54) for more

Krenair added a subscriber: Krenair.Sep 2 2015, 5:11 AM

2015-09-02 IRC office hour summary, in which this was approved with several action items.

aaron closed this task as Resolved.Sep 20 2015, 9:06 PM
Krinkle moved this task from Approved to Implemented on the TechCom-RFC board.Feb 10 2016, 9:33 PM
Krinkle edited projects, added Availability (MediaWiki-MultiDC); removed Availability.
Krinkle edited projects, added TechCom-RFC (TechCom-Approved); removed TechCom-RFC.
Krinkle moved this task from Untriaged to In progress on the TechCom-RFC (TechCom-Approved) board.
Krinkle edited projects, added Performance-Team; removed Proposal.